Last Comment Bug 226926 - customizing page needs updating
: customizing page needs updating
Status: RESOLVED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: other
: All All
: P1 normal
: ---
Assigned To: Matthew Elvey
: Daniel Wang
Mentors:
http://www.mozilla.org/unix/customizi...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-27 04:54 PST by Robert Mohr
Modified: 2012-08-23 00:16 PDT (History)
0 users
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Doctor's patch to customizing.html; see comment #2. (2.82 KB, patch)
2004-03-14 10:57 PST, Matthew Elvey
no flags Details | Diff | Review
All changes made. (Hope this diff, my first on OS X is OK.) (3.19 KB, patch)
2004-06-20 19:19 PDT, Matthew Elvey
no flags Details | Diff | Review
Corrected patch - Fixed glitch in previous patch creation. (2.59 KB, patch)
2004-06-20 19:36 PDT, Matthew Elvey
no flags Details | Diff | Review

Description Robert Mohr 2003-11-27 04:54:32 PST
If you add the code for "Plac[ing] the sidebar on the right edge of the window"
(near the top), the mail folder is also moved to the right side (unless you're
using MF and MT instead of the suite, of course).  Either somebody should figure
out how to do both independently, or the text of the page should be changed to
reflect that changing one will change the other.
Comment 1 Robert Mohr 2003-11-27 04:56:07 PST
Related: bug 61847.
Comment 2 Matthew Elvey 2004-03-14 10:54:37 PST
Accepting, will submit doc patch momentarily.
Also piggybacking some other changes to customizing.html:
Introducing about:config or editing.

Adding a list of links to:
+  Where is my Mozilla profile located?
+  How to insert Habeas Headers into Mozilla (Disclosure: includes link to the
(my) master copy.  Habeas keeps changing the url of this page - it used to be
http://www.habeas.com/support/mozilla.htm .)
+  an extensive list of Mozilla preferences with short descriptions.

Anyone able to review?
Comment 3 Matthew Elvey 2004-03-14 10:57:41 PST
Created attachment 143887 [details] [diff] [review]
Doctor's patch to customizing.html; see comment #2.
Comment 4 Daniel Wang 2004-03-14 14:15:24 PST
>+<li><a href="http://www.habeas.com/configurationPages/mozilla.htm">How to...

please don't do this

>+dialog, and must be set differently.  <p>UPDATE: It's now possible to edit 
>+the preferences normally stored in <i>user.js</i> by using the UI displayed by 
>+entering about:config in the address bar; this feature didn't exist when 
>+most of this document was written.  This is convenient for small edits, 
>+and takes effect immediately (no need to restart Mozilla) - at least for 
>+the one test case I tried.

"Location Bar", not "address bar"
"It's now possible to edit" -> In Mozilla 1.4 or later, it is possible to edit"
" - at least for the one test case I tried." (remove)
Comment 5 Matthew Elvey 2004-03-16 12:33:17 PST
Thanks for the feedback. 
All your suggestions but the first edit make sense - and improve the doc.
  What's wrong with the info on adding Habeas headers?  Are you saying this
isn't the place tell folks how to add headers?   Or do you have something
against Habeas and don't want them mentioned? (Y/N only, please -- the
specfifics of why/why not would likely lead to tons of discussion/flaming/bugspam).
If you don't like it, provide alternate text on adding headers (e.g. how to
create and add an X-Face header) that isn't objectionable.  Otherwise, I'll
submit a patch with your other suggestions.
Comment 6 Matthew Elvey 2004-05-07 19:41:01 PDT
Someone with check-in privs please provide some feedback.
I posted on netscape.public.mozilla.documentation, and emailed webmaster, to no
avail.  Is anyone willing to check in a patch with
a)all of Daniel's suggestions
b)all of 'em but the habeas link?
I just want to make a patch and get it checked in before the bitrot sets in.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2004-05-07 20:48:13 PDT
Comment on attachment 143887 [details] [diff] [review]
Doctor's patch to customizing.html; see comment #2.

>+and takes effect immediately (no need to restart Mozilla) - at least for 
>+the one test case I tried.

If you don't know, you probably shouldn't be the one writing the documentation.
Comment 8 Simon Paquet [:sipaq] 2004-05-15 04:24:24 PDT
Hello Matthew, I can check in your patch. But you need to do the following
before it can be checked in:

1. Please provide a new patch, which addresses all of David's review comments.
2. Obtain approval from the document owner. At the moment this is Akkana Peck. He 
   can be reached at akkzilla@shallowsky.com
3. Report back here.
Comment 9 Matthew Elvey 2004-06-20 13:19:03 PDT
Thanks.  
I emailed akkzilla at shallowsky.com (unmunged) twice, and didn't hear back.

On 5/21/04 9:40 PM, Matthew Elvey (SpamProofAcct) sent forth electrons to convey:

> Hi. I didn't hear back. I'm trying once more before giving up.
>
> On 5/15/2004 2:27 PM, Matthew Elvey sent forth electrons to convey:
>
>> I 'm writing to request your OK and opinion on my patch to bug 226926
>> http://bugzilla.mozilla.org/show_bug.cgi?id=226926
>> You're the apparent owner, as Simon mentions.
>>
>> Should I submit a revised patch with the changes Daniel suggests and the
Habeas headers removed? leave 'em in? other?
>> Which would you be more likely to approve?
>> Thanks.
>>
>> Re. D Baron's flamebait/comment - I'm now confident this takes effect
immediately, so I plan to simplify the bit he references.
>>
>>
>>

Simon, I assume you meant Daniel's comments, not David's.  Would like to make a
new patch once I have a suggestion as to whether to change the header stuff or
remove it; I don't know what Daniel was suggesting, or what you'd prefer.
Comment 10 Simon Paquet [:sipaq] 2004-06-20 15:07:39 PDT
Remove the habeas header stuff (it is far too special for that page) and
incorporate Daniel's other suggestions. Post a new patch. Then I will check it in.
Comment 11 Matthew Elvey 2004-06-20 19:19:06 PDT
Created attachment 151316 [details] [diff] [review]
All changes made.  (Hope this diff, my first on OS X is OK.)
Comment 12 Matthew Elvey 2004-06-20 19:36:23 PDT
Created attachment 151320 [details] [diff] [review]
Corrected patch - Fixed glitch in previous patch creation.
Comment 13 Simon Paquet [:sipaq] 2004-06-28 13:38:52 PDT
Checking in customizing.html;
/cvsroot/mozilla-org/html/unix/customizing.html,v  <--  customizing.html
new revision: 1.75; previous revision: 1.74
done

Checked in with some minor code cleanups and a minor content change. Thanks Matthew.

Note You need to log in before you can comment on or make changes to this bug.